LibreOffice: XWarningsSupplier Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XWarningsSupplier Interface Referencepublished

should be implemented of objects which may report warnings or non critical errors. More...

`import"XWarningsSupplier.idl";`

Inheritance diagram for XWarningsSupplier:

## Public Member Functions
any | getWarnings () raises (SQLException)
| returns the first warning reported by calls on an object that supports the usage of warnings. More...
void | clearWarnings () raises (SQLException)
| clears all warnings reported for the object implementing the interface. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

should be implemented of objects which may report warnings or non critical errors.

See also
  com::sun::star::sdbc::SQLWarning

## Member Function Documentation

## ◆ clearWarnings()

void clearWarnings | ( |  | ) |
raises | ( | SQLException
| ) |  |

clears all warnings reported for the object implementing the interface.

After a call to this method, the method com::sun::star::sdbc::XWarningsSupplier::getWarnings() returns `VOID` until a new warning is reported for the object.

Exceptions

  SQLException | if a database access error occurs.

## ◆ getWarnings()

any getWarnings | ( |  | ) |
raises | ( | SQLException
| ) |  |

returns the first warning reported by calls on an object that supports the usage of warnings.

Note: Subsequent warnings will be chained to this com::sun::star::sdbc::SQLWarning.

Returns
  the warnings

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XWarningsSupplier.idl